summaryrefslogtreecommitdiffstats
path: root/extras/Solaris/checkinstall
diff options
context:
space:
mode:
authorHarshavardhana <harsha@zresearch.com>2009-04-07 00:43:23 -0700
committerAnand V. Avati <avati@amp.gluster.com>2009-04-08 15:06:56 +0530
commit8123c907015e6ad6e2975ba77eadd4db32e08628 (patch)
tree5347548b50768e0322e1aefd17c3479f71ce5c53 /extras/Solaris/checkinstall
parentb976536e616e6dd23dd4a3981d150b168f9d2bef (diff)
Commit package making files for FreeBSD and Solaris platform.
Commit for package making related files for FreeBSD and Solaris. These files are supposed to be in repository to not loose track and update them as needed. I will update them soon for upcoming release where we support Solaris on ib fabric also. Signed-off-by: Anand V. Avati <avati@amp.gluster.com>
Diffstat (limited to 'extras/Solaris/checkinstall')
-rw-r--r--extras/Solaris/checkinstall13
1 files changed, 13 insertions, 0 deletions
diff --git a/extras/Solaris/checkinstall b/extras/Solaris/checkinstall
new file mode 100644
index 000000000..bbc05a1bd
--- /dev/null
+++ b/extras/Solaris/checkinstall
@@ -0,0 +1,13 @@
+#!/bin/sh
+#
+expected_platform="i386"
+#
+release=`uname -r`
+platform=`uname -p`
+#
+if [ ${platform} != ${expected_platform} ]; then
+ echo "\n\n\n\tThis package must be installed on a ${expected_platform} architecture\n"
+ echo "\tAborting installation.\n\n\n"
+ exit 1
+fi
+exit 0